TeamTalk 5 C-API DLL Version 5.18A

Public Attributes | List of all members
WebRTCAudioPreprocessor Struct Reference
Audio and Video Codecs

WebRTC's audio preprocessor. More...

`#include <TeamTalk.h>`

## Public Attributes

struct {
TTBOOL bEnable
| Enable pre-amplifier. Replacement for TT_SetSoundInputGainLevel() More...
float fFixedGainFactor
| Gain factor. Default: 1. More...
} | preamplifier
| Configuration of WebRTC pre-amplifier. More...
struct {
TTBOOL bEnable
| Enable WebRTC echo canceller. The WebRTC echo canceller requires sound input and output devices are initialized using TT_InitSoundDuplexDevices(). This is because both input and output device must use the same sample rate. More...
} | echocanceller
| Configuration of WebRTC's echo canceller. See also TT_SetSoundDeviceEffects() More...
struct {
TTBOOL bEnable
| Enable WebRTC noise suppression. More...
INT32 nLevel
| Noise suppression level. 0 = Low, 1 = Moderate, 2 = High, 3 = VeryHigh. Default: 1. More...
} | noisesuppression
| Configuration of WebRTC's noise suppression. See also SpeexDSP. More...
struct {
TTBOOL bEnable
| Enable WebRTC's fixed digital gain. WebRTC's automatic gain control (AGC) More...
struct {
float fGainDB
| Gain level in dB. Range: 0 <= x < 50. Default: 0. More...
} fixeddigital
| Gain level for AGC. Only active when `bEnable` is true. More...
struct {
TTBOOL bEnable
| Enable adaptive digital controller. More...
float fHeadRoomDB
| Range: 0 <= x < infinite. Default: 5 dB. More...
float fMaxGainDB
| Range: 0 < x < infinite. Default: 50 dB. More...
float fInitialGainDB
| Range: 0 <= x < infinite. Default: 15 dB. More...
float fMaxGainChangeDBPerSecond
| Range: 0 < x < infinite. Default: 6 dB/sec. More...
float fMaxOutputNoiseLevelDBFS
| Range: -infinite < x < 0. Default: -50. More...
} adaptivedigital
| Configuration for fine tuning gain level after echo cancellation and noise suppression. More...
} | gaincontroller2
| Configuration of WebRTC's gain controller 2 for AGC. More...

## Detailed Description

WebRTC's audio preprocessor.

Use WebRTC's audio preprocessor, https://webrtc.org

Note that WebRTC's can only operate on 10 msec audio frame, so `nTxIntervalMSec` in AudioCodec must a multiple of 10.

WebRTCAudioPreprocessor is recommended to TT_SetSoundDeviceEffects() on desktop platforms.

Activate WebRTCAudioPreprocessor by calling TT_SetSoundInputPreprocessEx().

Definition at line 1316 of file TeamTalk.h.

## Member Data Documentation

## ◆ bEnable

TTBOOL WebRTCAudioPreprocessor::bEnable

Enable pre-amplifier. Replacement for TT_SetSoundInputGainLevel()

Enable adaptive digital controller.

Enable WebRTC's fixed digital gain. WebRTC's automatic gain control (AGC)

Enable WebRTC noise suppression.

Enable WebRTC echo canceller. The WebRTC echo canceller requires sound input and output devices are initialized using TT_InitSoundDuplexDevices(). This is because both input and output device must use the same sample rate.

Definition at line 1323 of file TeamTalk.h.

## ◆ fFixedGainFactor

float WebRTCAudioPreprocessor::fFixedGainFactor

Gain factor. Default: 1.

Definition at line 1325 of file TeamTalk.h.

## ◆

struct { ... } WebRTCAudioPreprocessor::preamplifier

Configuration of WebRTC pre-amplifier.

## ◆

struct { ... } WebRTCAudioPreprocessor::echocanceller

Configuration of WebRTC's echo canceller. See also TT_SetSoundDeviceEffects()

## ◆ nLevel

INT32 WebRTCAudioPreprocessor::nLevel

Noise suppression level. 0 = Low, 1 = Moderate, 2 = High, 3 = VeryHigh. Default: 1.

Definition at line 1346 of file TeamTalk.h.

## ◆

struct { ... } WebRTCAudioPreprocessor::noisesuppression

Configuration of WebRTC's noise suppression. See also SpeexDSP.

## ◆ fGainDB

float WebRTCAudioPreprocessor::fGainDB

Gain level in dB. Range: 0 <= x < 50. Default: 0.

Definition at line 1361 of file TeamTalk.h.

## ◆

struct { ... } WebRTCAudioPreprocessor::fixeddigital

Gain level for AGC. Only active when `bEnable` is true.

## ◆ fHeadRoomDB

float WebRTCAudioPreprocessor::fHeadRoomDB

Range: 0 <= x < infinite. Default: 5 dB.

Definition at line 1370 of file TeamTalk.h.

## ◆ fMaxGainDB

float WebRTCAudioPreprocessor::fMaxGainDB

Range: 0 < x < infinite. Default: 50 dB.

Definition at line 1372 of file TeamTalk.h.

## ◆ fInitialGainDB

float WebRTCAudioPreprocessor::fInitialGainDB

Range: 0 <= x < infinite. Default: 15 dB.

Definition at line 1374 of file TeamTalk.h.

## ◆ fMaxGainChangeDBPerSecond

float WebRTCAudioPreprocessor::fMaxGainChangeDBPerSecond

Range: 0 < x < infinite. Default: 6 dB/sec.

Definition at line 1376 of file TeamTalk.h.

## ◆ fMaxOutputNoiseLevelDBFS

float WebRTCAudioPreprocessor::fMaxOutputNoiseLevelDBFS

Range: -infinite < x < 0. Default: -50.

Definition at line 1378 of file TeamTalk.h.

## ◆

struct { ... } WebRTCAudioPreprocessor::adaptivedigital

Configuration for fine tuning gain level after echo cancellation and noise suppression.

## ◆

struct { ... } WebRTCAudioPreprocessor::gaincontroller2

Configuration of WebRTC's gain controller 2 for AGC.